{% extends 'base.html' %} {% block content %}
<main>
  <div>
    <h1>{{ project_list_detail.name }}</h1>
    <p>{{ project_list_detail.description }}</p>
    <h2>Tasks</h2>
    <p>
      <a href="{% url 'create_task' %}">Create a new task</a>
    </p>
    {% if project_list_detail.tasks.all %}
    <table>
      <thead>
        <th>Name</th>
        <th>Assignee</th>
        <th>Start date</th>
        <th>Due date</th>
        <th>Is completed</th>
      </thead>
      <tbody>
        {% for project in project_list_detail.tasks.all %}
        <tr>
          <td>{{ project.name }}</td>
          <td>{{ project.assignee }}</td>
          <td>{{ project.start_date }}</td>
          <td>{{ project.due_date }}</td>
          <td>{{ project.is_completed|yesno }}</td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% else %}
    <p>This project has no tasks</p>
    {% endif %}
  </div>
</main>
{% endblock %}
